package com.kmall.admin.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 取货码信息表实体
 * 表名 mall_pick_up_code
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2020-05-19 09:11:26
 */
public class PickUpCodeEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 订单编号：商户（拼音首字母）+业务类型+编号
     */
    private String orderSn;
    /**
     * 取货码
     */
    private String pickUpCodeSn;
    /**
     * 商户订单编号
     */
    private String merchOrderSn;
    /**
     * 取货码状态,0:未取,1:已取
     */
    private String pickUpCodeStatus;
    /**
     * 取货码生成时间
     */
    private String pickUpCodeCreatetime;
    /**
     * 取货码核销时间
     */
    private String pickUpCodeVerificationtime;
    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：订单编号：商户（拼音首字母）+业务类型+编号
     */
    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    /**
     * 获取：订单编号：商户（拼音首字母）+业务类型+编号
     */
    public String getOrderSn() {
        return orderSn;
    }
    /**
     * 设置：取货码
     */
    public void setPickUpCodeSn(String pickUpCodeSn) {
        this.pickUpCodeSn = pickUpCodeSn;
    }

    /**
     * 获取：取货码
     */
    public String getPickUpCodeSn() {
        return pickUpCodeSn;
    }
    /**
     * 设置：商户订单编号
     */
    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    /**
     * 获取：商户订单编号
     */
    public String getMerchOrderSn() {
        return merchOrderSn;
    }
    /**
     * 设置：取货码状态,0:未取,1:已取
     */
    public void setPickUpCodeStatus(String pickUpCodeStatus) {
        this.pickUpCodeStatus = pickUpCodeStatus;
    }

    /**
     * 获取：取货码状态,0:未取,1:已取
     */
    public String getPickUpCodeStatus() {
        return pickUpCodeStatus;
    }
    /**
     * 设置：取货码生成时间
     */
    public void setPickUpCodeCreatetime(String pickUpCodeCreatetime) {
        this.pickUpCodeCreatetime = pickUpCodeCreatetime;
    }

    /**
     * 获取：取货码生成时间
     */
    public String getPickUpCodeCreatetime() {
        return pickUpCodeCreatetime;
    }
    /**
     * 设置：取货码核销时间
     */
    public void setPickUpCodeVerificationtime(String pickUpCodeVerificationtime) {
        this.pickUpCodeVerificationtime = pickUpCodeVerificationtime;
    }

    /**
     * 获取：取货码核销时间
     */
    public String getPickUpCodeVerificationtime() {
        return pickUpCodeVerificationtime;
    }
    /**
     * 设置：+创建时间,yyyy-MM-dd HH:mm:ss
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：+创建时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：+修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：+修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：+修改时间,yyyy-MM-dd HH:mm:ss
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：+修改时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：+时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：+时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
